Page MenuHomePhabricator

Date incompatible with the chosen license?
Closed, ResolvedPublic

Description

Per this Twitter thread, this Commons Upload Wizard user runs into an error with the date being incompatible with the chosen license:

  • I use the @WikiCommons upload wizard but I think the date setting on it is wrong (it disallows things from 1923).
  • If I use the wizard & have a photo taken in 1923 & add a full date (i.e. Jan 3, 1923) the wizard tells me that date is incompatible with free licensing. If I just say "1923" it's good. In reality on 1/1 this year, works published in 1923 should be OK/free. Thanks!
  • It is possible I am misunderstanding the message. Let me know if screenshots or more explication would be helpful. I think it's just a remnant and wasn't updated for the new copyright situation. Citation: https://copyright.cornell.edu/publicdomain

Acceptance criteria

https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

After having selected this file is not my own work > The copyright has definitely expired in the USA > First published in the United States before 1924 in "Release rights" step.

  • In describe step: it must not be possible to select a date in 1924 or after, and an error message is displayed
  • In describe step: it must be possible to select a date in 1923 or prior

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJan 22 2019, 5:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Yeah, Upload Wizard should definitely fix the 1923 bug since works published in the United States in 1923 are now definitely public domain.

Change 500664 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Don't error on copyrighted works from 1923

https://gerrit.wikimedia.org/r/500664

Change 500664 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Don't error on copyrighted works from 1923

https://gerrit.wikimedia.org/r/500664

Ramsey-WMF triaged this task as Normal priority.Apr 2 2019, 5:48 PM
matthiasmullie moved this task from Code Review to Needs QA on the Multimedia-Current-Work board.
matthiasmullie added a subscriber: matthiasmullie.
Cparle updated the task description. (Show Details)Apr 18 2019, 9:30 AM
Cparle closed this task as Resolved.
Cparle added a subscriber: Cparle.

Fixed on production